- topic: $devicename/led
  payload: green_on
  then:
    - fingerprint_grow.aura_led_control:
        state: GRADUAL_ON
        speed: $speed_gradual_on
        color: GREEN
        count: 0
    
- topic: $devicename/led
  payload: green_off
  then:
    - fingerprint_grow.aura_led_control:
        state: GRADUAL_OFF
        speed: $speed_gradual_off
        color: GREEN
        count: 0

- topic: $devicename/led
  payload: green_breathe
  then:
    - fingerprint_grow.aura_led_control:
        state: BREATHING
        speed: $speed_breath
        color: GREEN
        count: $count_breath
  
- topic: $devicename/led
  payload: green_flash
  then:
    - fingerprint_grow.aura_led_control:
        state: FLASHING
        speed: $speed_flash
        color: GREEN
        count: $count_flash

- topic: $devicename/led
  payload: red_on
  then:
    - fingerprint_grow.aura_led_control:
        state: GRADUAL_ON
        speed: $speed_gradual_on
        color: RED
        count: 0

- topic: $devicename/led
  payload: red_off
  then:
    - fingerprint_grow.aura_led_control:
        state: GRADUAL_OFF
        speed: $speed_gradual_off
        color: RED
        count: 0

- topic: $devicename/led
  payload: red_breathe
  then:
    - fingerprint_grow.aura_led_control:
        state: BREATHING
        speed: $speed_breath
        color: RED
        count: $count_breath
  
- topic: $devicename/led
  payload: red_flash
  then:
    - fingerprint_grow.aura_led_control:
        state: FLASHING
        speed: $speed_flash
        color: RED
        count: $count_flash

- topic: $devicename/led
  payload: purple_on
  then:
    - fingerprint_grow.aura_led_control:
        state: GRADUAL_ON
        speed: $speed_gradual_on
        color: PURPLE
        count: 0

- topic: $devicename/led
  payload: purple_off
  then:
    - fingerprint_grow.aura_led_control:
        state: GRADUAL_OFF
        speed: $speed_breath
        color: PURPLE
        count: 0

- topic: $devicename/led
  payload: purple_breathe
  then:
    - fingerprint_grow.aura_led_control:
        state: BREATHING
        speed: $speed_breath
        color: PURPLE
        count: $count_breath
  
- topic: $devicename/led
  payload: purple_flash
  then:
    - fingerprint_grow.aura_led_control:
        state: FLASHING
        speed: $speed_flash
        color: PURPLE
        count: $count_flash

- topic: $devicename/led
  payload: yellow_on
  then:
    - fingerprint_grow.aura_led_control:
        state: GRADUAL_ON
        speed: $speed_gradual_on
        color: YELLOW
        count: 0

- topic: $devicename/led
  payload: yellow_off
  then:
    - fingerprint_grow.aura_led_control:
        state: GRADUAL_OFF
        speed: $speed_breath
        color: YELLOW
        count: 0

- topic: $devicename/led
  payload: yellow_breathe
  then:
    - fingerprint_grow.aura_led_control:
        state: BREATHING
        speed: $speed_breath
        color: YELLOW
        count: $count_breath
  
- topic: $devicename/led
  payload: yellow_flash
  then:
    - fingerprint_grow.aura_led_control:
        state: FLASHING
        speed: $speed_flash
        color: YELLOW
        count: $count_flash

- topic: $devicename/led
  payload: cyan_on
  then:
    - fingerprint_grow.aura_led_control:
        state: GRADUAL_ON
        speed: $speed_gradual_on
        color: CYAN
        count: 0

- topic: $devicename/led
  payload: cyan_off
  then:
    - fingerprint_grow.aura_led_control:
        state: GRADUAL_OFF
        speed: $speed_breath
        color: CYAN
        count: 0

- topic: $devicename/led
  payload: cyan_breathe
  then:
    - fingerprint_grow.aura_led_control:
        state: BREATHING
        speed: $speed_breath
        color: CYAN
        count: $count_breath
  
- topic: $devicename/led
  payload: cyan_flash
  then:
    - fingerprint_grow.aura_led_control:
        state: FLASHING
        speed: $speed_flash
        color: CYAN
        count: $count_flash

- topic: $devicename/led
  payload: white_on
  then:
    - fingerprint_grow.aura_led_control:
        state: GRADUAL_ON
        speed: $speed_gradual_on
        color: WHITE
        count: 0

- topic: $devicename/led
  payload: white_off
  then:
    - fingerprint_grow.aura_led_control:
        state: GRADUAL_OFF
        speed: $speed_breath
        color: WHITE
        count: 0

- topic: $devicename/led
  payload: white_breathe
  then:
    - fingerprint_grow.aura_led_control:
        state: BREATHING
        speed: $speed_breath
        color: WHITE
        count: $count_breath
  
- topic: $devicename/led
  payload: white_flash
  then:
    - fingerprint_grow.aura_led_control:
        state: FLASHING
        speed: $speed_flash
        color: WHITE
        count: $count_flash   

- topic: $devicename/led
  payload: blue_on
  then:
    - fingerprint_grow.aura_led_control:
        state: GRADUAL_ON
        speed: $speed_gradual_on
        color: BLUE
        count: 0

- topic: $devicename/led
  payload: blue_off
  then:
    - fingerprint_grow.aura_led_control:
        state: GRADUAL_OFF
        speed: $speed_breath
        color: BLUE
        count: 0

- topic: $devicename/led
  payload: blue_breathe
  then:
    - fingerprint_grow.aura_led_control:
        state: BREATHING
        speed: $speed_breath
        color: BLUE
        count: $count_breath
  
- topic: $devicename/led
  payload: blue_flash
  then:
    - fingerprint_grow.aura_led_control:
        state: FLASHING
        speed: $speed_flash
        color: BLUE
        count: $count_flash
